import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CnBuildTool } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-04 10:56
 */
interface CnBuildToolCU extends ConditionUtil<CnBuildToolCU> {
    ID: FieldUtil<CnBuildToolCU>;
    NAME: FieldUtil<CnBuildToolCU>;
    VERSION: FieldUtil<CnBuildToolCU>;
    DELETED: FieldUtil<CnBuildToolCU>;
    CREATE_USER_ID: FieldUtil<CnBuildToolCU>;
    CREATE_TIME: FieldUtil<CnBuildToolCU>;
    UPDATE_USER_ID: FieldUtil<CnBuildToolCU>;
    UPDATE_TIME: FieldUtil<CnBuildToolCU>;
}
declare class CnBuildToolMU extends TableUtilImpl<CnBuildToolCU, CnBuildTool> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CnBuildToolCU;
    static get ID(): FieldUtil<CnBuildToolCU>;
    static get NAME(): FieldUtil<CnBuildToolCU>;
    static get VERSION(): FieldUtil<CnBuildToolCU>;
    static get DELETED(): FieldUtil<CnBuildToolCU>;
    static get CREATE_USER_ID(): FieldUtil<CnBuildToolCU>;
    static get CREATE_TIME(): FieldUtil<CnBuildToolCU>;
    static get UPDATE_USER_ID(): FieldUtil<CnBuildToolCU>;
    static get UPDATE_TIME(): FieldUtil<CnBuildToolCU>;
    get ID(): FieldUtil<CnBuildToolCU>;
    get NAME(): FieldUtil<CnBuildToolCU>;
    get VERSION(): FieldUtil<CnBuildToolCU>;
    get DELETED(): FieldUtil<CnBuildToolCU>;
    get CREATE_USER_ID(): FieldUtil<CnBuildToolCU>;
    get CREATE_TIME(): FieldUtil<CnBuildToolCU>;
    get UPDATE_USER_ID(): FieldUtil<CnBuildToolCU>;
    get UPDATE_TIME(): FieldUtil<CnBuildToolCU>;
}
export { CnBuildToolMU, CnBuildToolCU };
